<div id="tenant-consumption">
  <mat-grid-list [cols]="cols$ | async" rowHeight="20rem" gutterSize="16px">
    @for (tenantConsumption of tenantConsumptions; let i = $index; track i) {
      <mat-grid-tile>
        <mat-card appearance="outlined">
          <mat-card-header>
            <mat-card-title class="fw-700">
              {{
                (tenantConsumption.name | uppercase) ===
                (consumptionTypes.CPU | uppercase)
                  ? (tenantConsumption.name | uppercase)
                  : (tenantConsumption.name | titlecase)
              }}
            </mat-card-title>
          </mat-card-header>

          <mat-divider class="m-1"></mat-divider>

          <mat-card-content>
            <div class="d-flex align-items-center fs-14">
              <div class="w-50">
                <span class="text-grey-600">Allocated</span><br />
                <span
                  class="fw-700"
                  [ngStyle]="{
                    color: map2color.get(tenantConsumption.name | lowercase)
                  }"
                >
                  {{
                    tenantConsumption.allocated / tenantConsumption.allocatable
                      | percent: "1.0-1"
                  }}
                </span>
                &nbsp;
                {{
                  (tenantConsumption.allocated
                    | number
                      : optimiseDecimalDigits(tenantConsumption.allocated)) +
                    "/" +
                    (tenantConsumption.allocatable | number: "1.0-0") +
                    " " +
                    tenantConsumption.unitOfMeasurement
                }}
              </div>

              <div class="w-50">
                <span class="text-grey-600">Used</span><br />
                <span
                  class="fw-700"
                  [ngStyle]="{
                    color: map2color.get(tenantConsumption.name | lowercase)
                  }"
                >
                  {{
                    tenantConsumption.used / tenantConsumption.allocated
                      | percent: "1.0-1"
                  }}
                </span>
                &nbsp;
                {{
                  (tenantConsumption.used
                    | number: optimiseDecimalDigits(tenantConsumption.used)) +
                    "/" +
                    (tenantConsumption.allocated
                      | number
                        : optimiseDecimalDigits(tenantConsumption.allocated)) +
                    " " +
                    tenantConsumption.unitOfMeasurement
                }}
              </div>
            </div>

            <div
              echarts
              mat-card-md-image
              class="echart"
              [id]="idPrefix + tenantConsumption.name | lowercase"
              #tenantCharts
            ></div>
          </mat-card-content>
        </mat-card>
      </mat-grid-tile>
    }
  </mat-grid-list>
</div>
